%define menus		%{!?_without_menus:1}%{?_without_menus:0}
%define section		free
%define	sleep_version	1:2.0-0.b6

Name:		jircii
Version:	0.0
Release:	0.b33.1jpp
Epoch:		1
Summary:	An Internet Relay Chat (IRC) client for Windows, MacOS X, and Linux
License:	Artistic
URL:		http://jirc.hick.org/jirc/
Group:		Networking/IRC
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://jirc.hick.org/download/rsmudge_irc050105.tgz
Source1:	%{name}-script
Source2:	jicon16x16.png
Source3:	jicon32x32.png
Source4:	jicon48x48.png
Source5:	%{name}.desktop
Source100:	http://jirc.hick.org/download/scripts/away.irc
Source101:	http://jirc.hick.org/download/scripts/bitchx.irc
Source102:	http://jirc.hick.org/download/scripts/flash.irc
Source103:	http://jirc.hick.org/download/scripts/neo-jircii.irc
Source104:	http://jirc.hick.org/download/scripts/quote.irc
Source105:	http://jirc.hick.org/download/scripts/xdcc.irc
Source200:	sditopicbar.irc
Patch0:		%{name}-build.patch
Requires:	jpackage-utils >= 0:1.5
Requires:	sleep >= %{sleep_version}
BuildRequires:	ant >= 0:1.6
BuildRequires:	java-javadoc
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	sleep >= %{sleep_version}
BuildRequires:	sleep-javadoc >= %{sleep_version}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
jIRCii is an Internet Relay Chat client (IRC) for Windows, MacOS X, 
and Linux.

jIRCii provides an irc experience similar to ircii, hADES, and 
BitchX with the advantages of a solid user interface. Features 
include DCC/CTCP support, multiple server connections, IRC over SSL 
support, tab key nickname completion, and over 75 built-in commands. 
jIRCii is fully scriptable using sleep, a Perl-like language.

%if %{menus}
%package	mdkmenu
Summary:	Mandriva Linux menu entry for %{name}
Group:		Networking/IRC
Requires:	%{name} = %{epoch}:%{version}

%description	mdkmenu
%{summary}.

%package	legacymenu
Summary:	Legacy menu entry for %{name}
Group:		Networking/IRC
Requires:	%{name} = %{epoch}:%{version}
Conflicts:	redhat-menus

%description	legacymenu
%{summary}.
%endif

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n rsmudge_irc
%patch -p1
find . -name "*.jar" -o -name "*~" -exec %__rm -f {} \;
find . -name ".DS_Store" | xargs %__rm -rf

%build
export CLASSPATH=$(build-classpath sleep)
%ant -Djava.javadoc=%{_javadocdir}/java -Dsleep.javadoc=%{_javadocdir}/sleep jar docs

%install
%__rm -rf %{buildroot}

# jars
%__mkdir_p %{buildroot}%{_javadir}
%__cp -a jerk.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do \
%__ln_s ${jar} ${jar/-%{version}/}; done)

# data
%__mkdir_p %{buildroot}%{_datadir}/%{name}
%__cp -a resources/resource/*.irc %{buildroot}%{_datadir}/%{name}
%__cp -a %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103} %{SOURCE104} \
%{SOURCE105} %{SOURCE200} %{buildroot}%{_datadir}/%{name}

# scripts
%__mkdir_p %{buildroot}%{_bindir}
%__install -p -m 755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})
%__rm -rf docs/api

%if %{menus}
# mdk menu entry
%__mkdir_p %{buildroot}%{_menudir}
%__cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\\
command="%{_bindir}/%{name}"\\
needs="X11"\\
icon="%{name}.png"\\
section="Internet/Chat"\\
title="%{name}" \\
longtitle="Internet Relay Chat client"
EOF

# mdk icons
%__install -D -p -m 644 %{SOURCE2} %{buildroot}%{_miconsdir}/%{name}.png 
%__install -D -p -m 644 %{SOURCE3} %{buildroot}%{_iconsdir}/%{name}.png 
%__install -D -p -m 644 %{SOURCE4} %{buildroot}%{_liconsdir}/%{name}.png

# freedesktop.org menu entry
%__install -D -p -m 644 %{SOURCE5} \
  %{buildroot}%{_datadir}/applications/JPackage-%{name}.desktop

# icons for freedesktop.org and legacy menu entries
%__install -D -p -m 644 %{SOURCE2} \
  %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D -p -m 644 %{SOURCE3} \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%__install -D -p -m 644 %{SOURCE4} \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%__install -D -p -m 644 %{SOURCE4} \
  %{buildroot}%{_datadir}/pixmaps/%{name}.png

# legacy menu entry
%__install -D -p -m 644 %{SOURCE4} \
  %{buildroot}%{_sysconfdir}/X11/applnk/Development/%{name}.desktop
%endif

%clean
%__rm -rf %{buildroot}

%if %{menus}
%post mdkmenu
%update_menus
 
%postun mdkmenu
%clean_menus
%endif

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc docs/* resources/toplevel/{*.txt,docs}
%attr(0755,root,root) %{_bindir}/*
%{_javadir}/%{name}.jar
%{_javadir}//%{name}-%{version}.jar
%{_datadir}/%{name}

%if %{menus}
%{_datadir}/applications/*-%{name}.desktop
%{_datadir}/icons/*/*/apps/*
%{_datadir}/pixmaps/%{name}.png

%files mdkmenu
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files legacymenu
%defattr(0644,root,root,0755)
%{_sysconfdir}/X11/applnk/Development/*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Mon May 02 2005 David Walluck <david@jpackage.org> 1:0.0-0.b33.1jpp
- beta 33

* Sun Apr 24 2005 David Walluck <david@jpackage.org> 0:05.04.24-1jpp
- 05.04.24 (beta 32)

* Mon Mar 14 2005 David Walluck <david@jpackage.org> 0:05.03.13-1jpp
- 05.03.13

* Mon Feb 28 2005 David Walluck <david@jpackage.org> 0:05.02.27-2jpp
- fix requires

* Mon Feb 28 2005 David Walluck <david@jpackage.org> 0:05.02.27-1jpp
- 05.02.27

* Wed Feb 16 2005 David Walluck <david@jpackage.org> 0:05.02.12-1jpp
- 05.02.12

* Sun Feb 05 2005 David Walluck <david@jpackage.org> 0:05.01.29-2jpp
- license is Artistic, not LGPL

* Sun Jan 30 2005 David Walluck <david@jpackage.org> 0:05.01.29-1jpp
- release
